package dialogs;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Arrays;
import java.util.Collections;
import java.util.Date;
import java.util.List;

import main.*;

import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;


public class GameAfterPO extends JPanel{

	private GameMain _main;

	private static Color orange = new Color(240,120,0);
	private static Color green = new Color(0,200,0);
	private static Color red = new Color(255,0,0);
	private static Font smaller = new Font("SansSerif", Font.PLAIN, 10);
	
	
	public GameAfterPO(GameMain main) {
		super();
		_main=main;
		
		
		setMinimumSize(_main.mainsize);
		setPreferredSize(_main.mainsize);


		
		GridBagLayout gridbag=new GridBagLayout();
		setLayout(gridbag);
		GridLayout layout = new GridLayout();
		GridBagConstraints c = new GridBagConstraints();
		
		c.fill = GridBagConstraints.BOTH;	
		JPanel jp = new JPanel();
		
		c.gridx = 0; c.gridy = 0; this.add(jp, c);
		GridBagLayout gridbag2=new GridBagLayout();
		jp.setLayout(gridbag2);
		GridBagConstraints c2 = new GridBagConstraints();
		
		
		int count =1;
		JLabel desc = new JLabel("NBA FINALS");
		desc.setForeground(green);
		desc.setFont(new Font(null, Font.BOLD, 20));
		
		c2.gridx = 0; c2.gridy = 0; jp.add(desc, c2);
		for (int i =0;i<_main.opponents.length+1;i++) {
			for (int j=i+1;j<_main.opponents.length+1;j++) {
				if (_main.league.games[0][i][j].day/100 == _main.po_round) {
					Team t1;
					Team t2;
					if (i ==0 ) t1=_main.team;
					else t1= _main.opponents[i-1];
					t2 = _main.opponents[j-1];
					desc = new JLabel(t1.name+ "   " + t1.games_won+ " : "+t2.games_won+ "   "+t2.name);
					desc.setFont(new Font(null, Font.BOLD, 16));
					c2.gridx = 0; c2.gridy = count; jp.add(desc, c2);
				count++;
				}
			}
		
		}
		
		calculatestuff();
		JPanel jp2 = new JPanel();
		c.gridx = 0; c.gridy = 1; this.add(jp2, c);
		GridBagLayout gridbag3=new GridBagLayout();
		jp2.setLayout(gridbag3);
		GridBagConstraints c3 = new GridBagConstraints();
		
		desc = new JLabel("Draft Order");
		desc.setFont(new Font(null, Font.BOLD, 16));
		
		c3.gridx = 0; c3.gridy = 0; jp2.add(desc, c3);
		
		for (int i = 1;i<=_main.opponents.length+1;i++) {
			for (int j=0;j<_main.opponents.length+1;j++ ) {
				Team t;
				if (j == 0) t = _main.team;
				else t = _main.opponents[j-1];
				if (t.draftpicks[0] == i) {
					desc = new JLabel(i + ". "+t.name);
					c3.gridx = 0; c3.gridy = i; jp2.add(desc, c3);
					desc.setFont(smaller);
				}
			}
			
		}
		
		calculatestuff();
		if (_main.season==7) new HighScore(main);
	}
	private void calculatestuff() {

		//calculate stuff:
		_main.season_phase = Game.SEASON_DRAFT;
		_main.date = new Date(2006+_main.season, 5, 25);
		
	}


}
