package dialogs;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

import main.*;

public class PlayerChooser extends JFrame{
	private String[] positions = {"PG", "SG", "SF", "PF", "C", "pg", "sg", "sf", "pf", "c", "11", "12", "13", "14", "15" };

	public PlayerChooser window;
	public JComboBox jc;
	public Team t;
	public Player p;
	public PlayerChooser(Team t, Player p, ActionListener al) {
		super("Choose a slot on the roster");
		window=this;
		this.t=t;
		this.p=p;
		this.setSize(400, 260);
		this.setLocation(50, 50);
		this.setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
		GridBagLayout gridbag=new GridBagLayout();
		
		setLayout(gridbag);
		GridBagConstraints c = new GridBagConstraints();
		c.fill = GridBagConstraints.BOTH;
		JLabel label = new JLabel("To make room for "+p.firstname+" "+p.lastname);
		c.gridx = 0; c.gridy = 0; this.add(label,c);
		label = new JLabel(" you have to waive a player");
		c.gridx = 0; c.gridy = 1; this.add(label,c);
		String[] options = new String[16];
		options[0] = "(none)";
		for (int i=0;i<options.length-1;i++) {
			options[i+1] = positions[i] + ":  "+t.players[i].firstname+" "+t.players[i].lastname;
		}
		jc = new JComboBox(options);
		c.gridx = 0; c.gridy = 2; this.add(jc,c);
		JButton b = new JButton("Okay");
		b.addActionListener(al);
		c.gridx = 1; c.gridy = 2; this.add(b,c);
		this.setVisible(true);
	}

}
