package dialogs;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JPanel;

import main.*;

public class TeamChooser extends JFrame{
	private TeamChooser window;
	private JComboBox jc;
	private League l;
	public TeamChooser(League l) {
		super("Choose your team");
		window=this;
		this.l=l;
		this.setSize(240, 200);
		this.setLocation(50, 50);
		GridBagLayout gridbag=new GridBagLayout();
		
		setLayout(gridbag);
		GridBagConstraints c = new GridBagConstraints();
		c.fill = GridBagConstraints.BOTH;
		String[] options = new String[l.teams.length];
		for (int i=0;i<options.length;i++) {
			options[i] = l.teams[i].name;
		}
		jc = new JComboBox(options);
		c.gridx = 0; c.gridy = 0; this.add(jc);
		JButton b = new JButton("Okay");
		b.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				int choice = jc.getSelectedIndex();
				GameMain gm = new GameMain(Game.generate(window.l, choice));
				window.dispose();
			}
		});
		c.gridx = 1; c.gridy = 0; this.add(b);
		this.setVisible(true);
	}

}
