package main;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import dialogs.*;
public class DraftPick {
	public int year;
	public int round;
	public int team_number;
	
	public DraftPick(int year, int round, int team){
		this.year=year;
		this.round = round;
		this.team_number = team;
	}
	
	public static void calculatePicks(GameMain main) {
		int m = main.opponents.length+1;

			Object[] data = new Team[m];
			data[0] = main.team;
			for (int j=1;j<m;j++){
				data[j] =main.opponents[j-1];
			}
			
		List list = Arrays.asList(data);
		Collections.sort(list);
		for (int i=0;i<m;i++) {
			((Team)list.get(i)).draftpicks = new int[2];
			
			((Team)list.get(i)).draftpicks[0] = (0*m)+m -i;
			((Team)list.get(i)).draftpicks[1] = (1*m)+m -i;
			
		}
		
	}
}
