package dialogs;
import java.awt.Color;
import java.awt.Font;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.GridLayout;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;

import main.*;

import javax.swing.*;
public class HighScore {
	public String[] name = new String[10];
	public int[] score = new int[10];
	public String[] teamname = new String[10];
	private static Color green = new Color(0,200,0);
	private static Color red = new Color(255,0,0);
	private static Font bigger = new Font("SansSerif", Font.PLAIN, 20);
	
	public HighScore() {
		String[] name = new String[10];
		int[] score = new int[10];
		String[] teamname = new String[10];
	}
	public HighScore(GameMain _main) {

		for (int i=0;i<10;i++) {
			score[i] = 0;
			name[i] = "Panschk";
			teamname[i] = "UBC";
		}
		
		
		String returnvalue = JOptionPane.showInputDialog("Please enter your name");
		if (returnvalue != null) {
			File f = new File("highscore.pb08");
			try {
				FileInputStream fis= new FileInputStream(f);
				
				for (int i=0;i<10;i++) {
					name[i] =read(fis);
					teamname[i] =read(fis);
					score[i] =Integer.parseInt(read(fis));
				}	
			} catch (Exception ex) {System.err.println(ex.getLocalizedMessage());}
			int place = 10;
			for (int i=9;i>=0;i--){
				
				if (_main.team.score > score[i]) {
					place = i;
	
				}
					
			}

			for (int i =9;i>=0;i--) {
				if (place == i) {
					name[i] = returnvalue;
					teamname[i] = _main.team.name;
					score[i] = _main.team.score;
				}
				if (place < i) {
					name[i] = name[i-1];
					teamname[i] = teamname[i-1];
					score[i] = score[i-1];
				}
			}

			try {
				if (!f.exists()) f.createNewFile();
			
				FileOutputStream fos = new FileOutputStream(f);
				for (int i=0;i<10;i++) {
					write(name[i], fos);
					write(teamname[i], fos);
					
					write(String.valueOf(score[i]), fos);
					
				}
				
			} catch (Exception ex) {System.err.println(ex.getLocalizedMessage());}

			displayHighScore();
		}
	}
	
	private static String read(FileInputStream fis) throws IOException {
		String str = new String();
		char b = (char)fis.read();
		while (b != '|'){
			str += b;
			b=(char)fis.read();
		}
		return str;
			
	}
	private static void write(String v, FileOutputStream fos) throws Exception {
		char[] b = v.toCharArray();
		for (int j=0;j<b.length;j++){
			if (b[j] == '|') b[j] = '_'; 
			fos.write(b[j]);	
		}
		fos.write('|');
	}
	
	public static void displayHighScore() {
		HighScore hs = new HighScore();
		File f = new File("highscore.pb08");
		try {
			FileInputStream fis= new FileInputStream(f);
			for (int i=0;i<10;i++) {
				hs.name[i] =read(fis);
				hs.teamname[i] =read(fis);
				hs.score[i] =Integer.parseInt(read(fis));
			}	
			fis.close();
		} catch (Exception ex) {System.err.println(ex.getLocalizedMessage());}
		JFrame frame = new JFrame("-_-^Hall of Fame^-_-");
		frame.setSize(400, 400);
		GridBagLayout gridbag=new GridBagLayout();
		frame.setLayout(gridbag);
		GridLayout layout = new GridLayout();
		GridBagConstraints c = new GridBagConstraints();
		c.fill = GridBagConstraints.BOTH;
		JLabel desc = new JLabel("Hall of Fame");
		c.gridx=0;c.gridy=0; frame.add(desc, c);
		desc.setForeground(red);
		desc.setFont(bigger);
		for (int i=0;i<10;i++) {
			desc = new JLabel(hs.name[i]+"      ");
			c.gridx=0;c.gridy=i+1; frame.add(desc, c);
			desc = new JLabel(hs.teamname[i]+"      ");
			c.gridx=1;c.gridy=i+1; frame.add(desc, c);
			desc = new JLabel(hs.score[i]+"");
			c.gridx=2;c.gridy=i+1; frame.add(desc, c);
			
		}
		frame.setVisible(true);
		
		
	}
	
	
}
