package dialogs;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTextArea;

import main.*;

public class UpgradeChooser extends JFrame{
	private String[] positions = {"PG", "SG", "SF", "PF", "C", "pg", "sg", "sf", "pf", "c", "11", "12", "13", "14", "15" };

	private UpgradeChooser window;
	private JComboBox jc;
	private Player p;
	public UpgradeChooser(Player p) {
		super(p.lastname+": Choose a skill to improve");
		window=this;
		this.p=p;
		this.setSize(400, 300);
		this.setLocation(50, 50);
		GridBagLayout gridbag=new GridBagLayout();
		
		setLayout(gridbag);
		GridBagConstraints c = new GridBagConstraints();
		c.fill = GridBagConstraints.BOTH;
		JTextArea text =new JTextArea(p.firstname+" "+p.lastname+" did a great job at staying in shape and \n confident. Choose one of these skills to upgrade:\n ");
		text.setEditable(false);
		c.gridx = 0; c.gridy = 0; this.add(text, c);
		String[] options = new String[4];
		if (p.skill_scoring<10) options[0] = "Scoring: "+p.skill_scoring+" --> "+(p.skill_scoring+1);
		if (p.skill_passing<10)options[1] = "Passing: "+p.skill_passing+" --> "+(p.skill_passing+1);
		if (p.skill_rebounds<10)options[2] = "Rebounds: "+p.skill_rebounds+" --> "+(p.skill_rebounds+1);
		if (p.skill_defense<10)options[3] = "Defense: "+p.skill_defense+" --> "+(p.skill_defense+1);
		
		jc = new JComboBox(options);
		c.gridx = 0; c.gridy = 1; this.add(jc, c);
		JButton b = new JButton("Okay");
		b.addActionListener(al);
		c.gridx = 1; c.gridy = 1; this.add(b, c);
		this.setVisible(true);
	}

	ActionListener al = new ActionListener() {
		public void actionPerformed(ActionEvent e) {
			int choice = jc.getSelectedIndex();
			if (p.skill_scoring<10 && choice ==0) p.skill_scoring++;  
			if (p.skill_passing<10 && choice ==1) p.skill_passing++;  
			if (p.skill_rebounds<10 && choice ==2) p.skill_rebounds++;  
			if (p.skill_defense<10 && choice ==3) p.skill_defense++;  
			
			
			window.dispose();
		}
	};
}
